Skip to main content
GET
/
v1
/
voices
Gets available voices
curl --request GET \
  --url https://supertoneapi.com/v1/voices \
  --header 'x-sup-api-key: <api-key>'
import requests

url = "https://supertoneapi.com/v1/voices"

headers = {"x-sup-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-sup-api-key': '<api-key>'}};

fetch('https://supertoneapi.com/v1/voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://supertoneapi.com/v1/voices"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("x-sup-api-key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://supertoneapi.com/v1/voices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-sup-api-key: <api-key>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
HttpResponse<String> response = Unirest.get("https://supertoneapi.com/v1/voices")
.header("x-sup-api-key", "<api-key>")
.asString();
{
  "items": [
    {
      "voice_id": "<voice-id>",
      "name": "Agatha",
      "age": "young-adult",
      "gender": "female",
      "use_case": "narration",
      "use_cases": [
        "narration",
        "storytelling"
      ],
      "language": [
        "ar",
        "bg",
        "cs",
        "da",
        "de",
        "el",
        "en",
        "es",
        "et",
        "fi",
        "fr",
        "hi",
        "hu",
        "id",
        "it",
        "ja",
        "ko",
        "nl",
        "pl",
        "pt",
        "ro",
        "ru",
        "vi"
      ],
      "styles": [
        "kind-default",
        "normal",
        "serene"
      ],
      "models": [
        "sona_speech_1",
        "sona_speech_2",
        "sona_speech_2_flash",
        "supertonic_api_1",
        "supertonic_api_3"
      ],
      "description": "",
      "samples": [
        {
          "language": "ko",
          "style": "kind-default",
          "model": "supertonic_api_3",
          "url": "https://example.com/samples/sample-audio.wav"
        }
      ],
      "thumbnail_image_url": "https://example.com/thumbnails/voice-thumbnail.png"
    }
  ],
  "total": 150,
  "next_page_token": "some_opaque_token_string_representing_last_id"
}
Returns the preset voice library available on your account. This includes the Supertone Play voice library as well as any voices Supertone has provided exclusively for Enterprise customers. For customer-cloned voices, use List custom voices instead.

Endpoint

GET https://supertoneapi.com/v1/voices

Query parameters

NameRequiredDescription
page_sizeItems per page. Default 20, max 100.
next_page_tokenToken from a previous response to fetch the next page.

Response

Returns an items array plus an optional next_page_token for pagination. Each item follows the voice object shape — voice_id, name, language, styles, models, samples, etc.

See also

Docs: Voices

Voice object shape and how to use voice IDs in TTS calls.

Search voices

Filter by language, style, gender, and more.

Authorizations

x-sup-api-key
string
header
required

Query Parameters

page_size
number

Number of items per page (default: 20, min: 10, max: 100)

next_page_token
string

Token for pagination (obtained from the previous page's response)

Response

Paginated available voices response with next page token

items
object[]
required

List of character items

total
number
required

Total number of available characters (might be approximate or removed in future)

Example:

150

next_page_token
string

Token for fetching the next page of results. Undefined if no more pages.

Example:

"some_opaque_token_string_representing_last_id"